package server;

import org.omg.CORBA.ORB;
import org.omg.PortableServer.*; // POA, POAHelper

public class OfferServer {
	public static void main(String args[]) {
		try {
			// a. connect to ORB infrastructure:
			String[] argsOrb = new String[] { "-ORBInitialPort", "9090",
					"-ORBInitialHost", "localhost" };
			ORB orb = ORB.init(argsOrb, null);
			POA rootpoa = POAHelper.narrow(orb
					.resolve_initial_references("RootPOA"));
			rootpoa.the_POAManager().activate();

			// b. create application objects:
			OfferImpl offer_PC = new OfferImpl("PC Core 2 Quad 6600", 899.90);

			// c. create references to them:
			org.omg.CORBA.Object ref = rootpoa.servant_to_reference(offer_PC);
			System.out.println(orb.object_to_string(ref));

			// d. wait for connections to the application objects:
			orb.run();
		} catch (Exception e) {
			System.err.println("ERROR: " + e);
			e.printStackTrace(System.out);
		}
	}
}